/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.filter.BaseFilter <br/>
*/
export interface BaseFilter {
}
export declare enum OrderDir {
    ASC = "ASC",
    DESC = "DESC"
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.filter.Pager <br/>
*/
export interface Pager {
    /**
    *	@example 0
    */
    firstResult?: number | null;
    /**
    *	@example 50
    */
    pageSize?: number | null;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.base.core.filter.TableFilter <br/>
*/
export interface TableFilter extends BaseFilter {
    /**
    *	@example *
    */
    keyword?: string;
    /**
    *	@example _id
    */
    orderBy?: string;
    /**
    *	values: ASC,DESC<br/>
    *	@example DESC
    */
    orderDir?: OrderDir;
    pager?: Pager;
    /**
    *	@example 300000
    */
    timeout?: number | null;
}
